<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Bootstrap Grid System</title>
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>
<body class="text-center">
	<h1>Bootstrap introduction and Simple Styles</h1>

	<h2>Two Columns</h2>

	<div class="container-fluid">
		<h3>1:1 Ration</h3>
		<div class="row">
			<div>6 col</div>
			<div>6 col</div>
		</div>
	</div>

	<h2>Three Column</h2>
	<div class="container-fluid">
		<h3>1:1:1 Ratio</h3>
		<div class="row">
			<div class="bg-primary pt3 pb-3 border border-dark col-4">4 Col</div>
			<div class="bg-secondary pt3 pb-3 border border-dark col-4">4 Col</div>
			<div class="bg-primary pt3 pb-3 border border-dark col-4">4 Col</div>
		</div>

			<h3>1:2:1 Ratio</h3>
		<div class="row">
			<div class="bg-primary pt3 pb-3 border border-dark col-3">3 Col</div>
			<div class="bg-secondary pt3 pb-3 border border-dark col-7">7 Col</div>
			<div class="bg-primary pt3 pb-3 border border-dark col-2">2 Col</div>
		</div>
		


	</div>
	<h2>Automatic Sizing</h2>
	<div class="container-fluid">
		<div class="row">
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
		</div>
	</div>


	<h2> Mobile responsive columns</h2>
	<div class="container-fluid">
		<div class="row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
		</div>		
	</div>
	<h2>Multi Column Layout</h2>
	<div class="container-fluid">
		<div class="row">
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalogue 1</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalogue 2</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalogue 3</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalogue 4</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalogue 5</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalogue 6</div>
</div>
</div>

<h2>Offseting Columns</h2>
	<div class="container-fluid"></div>
		<div class="row">
			<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>

</div>

	<h2>Column Orders</h2>
		<div class="container-fluid">
			<div class="row">
				<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>


			
	</div>
		</div>




<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>